Bug 1018071 - KMail doesn't save a folder option
KMail doesn't save a folder option
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 02:57 EDT by Ivan Romanov
Modified: 2015-02-17 12:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:37:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 325873 None None None Never

  None (edit)
Description Ivan Romanov 2013-10-11 02:57:12 EDT
Description of problem:
I want to always hold my messages in offline-mode. Also I want to get full messages with body at recieving time. For this I used an option in folder settings. But after restarting my PC this option is inchecked and I havent't all messages in my mailbox.

How reproducible:
Always

Steps to Reproduce:
1. Start KMail
2. Right mouse button on non-local folder
3. Choose "Folder Properties..."
4. Go "Retrieval" tab
5. Set checked "Always retrieve full messages"
6. Press "Ok"
7. Close KMail
8. Do 1-4 steps again.

Actual results:
"Always retrieve full messages" is unchecked

Expected results:
"Always retrieve full messages" is checked

Additional info:
KMail version 4.11.2
Comment 1 Daniel Vrátil 2013-10-11 04:37:55 EDT
In your IMAP resource settings, go to "Advanced" tab and check "Enable disconnected mode". This will fetch full messages from the server on sync.
Comment 2 Ivan Romanov 2013-10-11 05:30:21 EDT
Cool! It's works not. But it is not obviously. Looks like a bug. "Always retrieve full messages" option should enable "Enable disconnected mode".
Comment 3 Daniel Vrátil 2013-10-11 10:10:13 EDT
(In reply to Ivan Romanov from comment #2)
> "Always retrieve full messages" option should enable "Enable disconnected mode".

Not really, it should internally enable disconnected mode for the single selected folder. Enabling the disconnected mode in the IMAP resource settings enables it globally for all folders, which is not always the intended behavior.
Comment 4 Daniel Vrátil 2013-10-11 10:25:04 EDT
Hmm, just checked the code and it should work.

Could you please follow these steps so that we can find what's wrong?

1) Set the "Always retrieve full message" to some folder
2) open Akonadi Console (akonadiconsole)
3) in Akonadi Console, go to "DB Browser" tab
4) Select "CollectionTable" and click refresh

You should see a table with list of all folders, find the one you have changed and check values of cachePolicyInherit (should be 0) and cachePolicyLocalParts (should be "ENVELOPE HEAD RFC822").

Now restart Akonadi (akonadictl restart, or Server->Restart Server in Akonadi Console), restart Akonadi Console and repeat from step 2) to confirm that the values are still there.

Finally, click "Check mail" in KMail to synchronize all folders and emails, wait until it's done, then check the values in Akonadi Console again whether they changed (they should not).
Comment 5 Ivan Romanov 2013-10-11 14:08:53 EDT
With "Enable disconnected mode" on I can't get any new mail. I can see only old messages.

I disabled this option. And I immeditally got new messages. (Before allready saw this messages in web-browser).

After restarting Akonadi cachePolicyLocalParts changed. Now is "ENVELOPE HEAD" (without "RFC822").
After checking mail values not changed.
Comment 6 Fedora End Of Life 2015-01-09 15:12:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 12:37:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.